# Angular Set up
FROM node:15.14-alpine as node

RUN mkdir -p /usr/src/qsd-ui
WORKDIR /usr/src/qsd-ui
COPY package*.json ./
RUN npm install
COPY . .
RUN npm run build

# Nginx Set up
FROM nginx:1.20.0-alpine

COPY --from=node /usr/src/qsd-ui/dist /usr/share/nginx/html
COPY ./nginx.conf /etc/nginx/conf.d/default.conf